#ifndef _AIRCRAFTCARRIER_H_
#define _AIRCRAFTCARRIER_H_

#include <string>
#include <vector>
#include "Fighter.h"

using namespace std;

class AircraftCarrier {
    friend ostream& operator<<(ostream &os, const AircraftCarrier &a);
    private:
        string name;
        int wins;
        int losses;
        vector<Fighter*> fleet;
    public:
        AircraftCarrier(string name);
        string getName() const { return name; }; // Devuelve el nombre del portaviones
        int getWins() const { return wins; }; // Devuelve el número de victorias
        int getLosses() const { return losses; }; // Devuelve el número de derrotas
        vector<Fighter*> getFleet() const { return fleet; }; // Devuelve los cazas del portaviones
        void addFighters(string fd);
        void updateResults(int r);
        Fighter* getFirstAvailableFighter(string t) const;
        int purgeFleet();
        void showFleet() const;
        string myFleet() const;
};

#endif