#include "Coordinate.h"

/*
Constructor para la clase Coordinate
*/
Coordinate::Coordinate(){
    row=-1;
    column=-1;
}

/*
Constructor para la clase Coordinate
row: fila
column: columna
*/
Coordinate::Coordinate(int row, int column){
    this->row=row;
    this->column=column;
}

/*
Función que devuelve si la coordenada es válida
return: true si la coordenada es válida, false en caso contrario
*/
bool Coordinate::isValid() const{
    return (row>=0 && column>=0);
}

/*
Función que reinicia la coordenada
return: void
*/
void Coordinate::reset(){
    row=-1;
    column=-1;
}

/*
Operador de salida para la clase Coordinate
os: flujo de salida
c: coordenada
return: flujo de salida
*/
ostream& operator<<(ostream &os, const Coordinate &c){
    if (c.isValid()){
        os << "[" << c.row << "," << c.column << "]";
    }
    else{
        os << "[-,-]";
    }

    return os;
}
