#ifndef _FIGHTER_H_
#define _FIGHTER_H_

#include <iostream>
#include "Coordinate.h"

using namespace std;

class AircraftCarrier;

class Fighter{
    friend ostream& operator<<(ostream &os, const Fighter &f);
    private:
        string type;
        int speed;
        int attack;
        int shield;
        int id;
        string aircraftCarrier;
        static int nextId;
        Coordinate position;
    public:
        Fighter(string type,string motherShip);
        static void resetNextId() { nextId=1; }; // Reinicia el contador de cazas
        string getType() const { return type; }; // Devuelve el tipo de caza
        int getId() const { return id; }; // Devuelve el identificador del caza
        int getSpeed() const { return speed; }; // Devuelve la velocidad del caza
        int getAttack() const { return attack; }; // Devuelve el ataque del caza
        int getShield() const { return shield; }; // Devuelve el escudo del caza
        Coordinate getPosition() const { return position; }; // Devuelve la posición del caza
        string getAircraftCarrier() const { return aircraftCarrier; }; // Devuelve el nombre de la nave nodriza
        void setPosition(Coordinate p) { position=p; }; // Establece la posición del caza
        void resetPosition() { position.reset(); }; // Reinicia la posición del caza
        void addAttack(int at);
        void addSpeed(int sp);
        void addShield(int sh);
        int getDamage(int n) const;
        int fight(Fighter *enemy);
        bool isDestroyed() const;
};

#endif